
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>斯坦福CS231n—深度学习与计算机视觉----学习笔记 课时8&amp;&amp;9 / 憋错料</title>

    <meta name="description" content="斯坦福CS231n—深度学习与计算机视觉----学习笔记 课时8&amp;&amp;9 课时8 反向传播与神经网络初步(上) 反向传播在运算连路中,这是一种通过链式法则来进行递推的计算过程,这个链路中的每一个中间变量都会对最终的损失函数产生影响. 链式法则通常包含两部分,局部梯度和后一层的梯度相乘 前向和反向花费的时间是基本一样的. 大的函数也可以直接视作一个整体计算梯度 当局部梯度非常容易求得时,你可以把这部分表达式看作一整个S门 加法:梯度分配器:所以无论何时当你有一个加法运算时,他会分配相等的梯度值. 最大值门:一个梯度路由,他的工作方式是,认为比较大的输入梯度为1,比较小的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">斯坦福CS231n—深度学习与计算机视觉----学习笔记 课时8&amp;&amp;9</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>课时8 反向传播与神经网络初步（上）</h1>
<p>反向传播在运算连路中，这是一种通过链式法则来进行递推的计算过程，这个链路中的每一个中间变量都会对最终的损失函数产生影响。</p>
<p>链式法则通常包含两部分，局部梯度和后一层的梯度相乘</p>
<p>前向和反向花费的时间是基本一样的。</p>
<p>大的函数也可以直接视作一个整体计算梯度</p>
<p>当局部梯度非常容易求得时，你可以把这部分表达式看作一整个S门</p>
<p><strong>加法：</strong>梯度分配器；所以无论何时当你有一个加法运算时，他会分配相等的梯度值。</p>
<p><strong>最大值门：</strong>一个梯度路由，他的工作方式是，认为比较大的输入梯度为1，比较小的梯度为0，直观的理解就是比较小的输入对输出没有影响。所以最受你只会得到比较大输入值的梯度，这就是最大值门是梯度路由的原因。</p>
<p><strong>乘法</strong>：梯度转换器</p>
<p><strong>向前传播/向后传播：</strong>主要思想就是遍历网络中所有的运算门，并按照正确的逻辑顺序进行排列。这意味着所有的输入值在运算之前要知道这些标注信息</p>
<p>事实上一个网络对象就是对这些门进行简单封装，以后也会发现门也被称作层。</p>
<p>在前向传播中，我们按照要求计算结果；在反向传播中，我们最终要求得的是整个损失函数关于各个变量的梯度。</p>
<p>一般来说在反向传播和构建这些时都需要那些数值，所以当你真正学习这个网络，每一个门都需要记住输入值和其他出现过得中间微分值。所以一定记住要在前向传播时候记住这些值，因为在反向传播中可能会用到某些变量。如果你不进行反向传播，你可以删除很多东西。</p>
<p>Torch实际上是一系列层的巨大集合，也就是运算门的集合。深度学习网络框架实际上是包含一系列层并且记录所有层之间联系的计算图</p>
<p>我们将张量看做一个n维数组，我们用常数将其标量化</p>
<h1>课时9 反向传播与神经网络初步（下）</h1>
<p>在反向传播中，使用链式求导法则计算梯度是最关键的。</p>
<p>对于每次更新，我们都要进行一次完整的前馈和反馈。当你想要进行更新，你需要梯度，所以你需要前馈你的样本。然后马上进行反向求导，如此你得到梯度。然后根据求得的梯度进行权值微调，来完成权值更新。可以这么说，通过前馈得到损失，通过反馈得到梯度，通过对梯度的使用来完成权值更新。这就是神经网络的训练过程中，内部变化前馈、反馈、更新、前馈、反馈、更新。。。</p>
<p>我们不需要求出完整的雅各比矩阵。每个输入影响每个输出。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzc4MjMyNC8yMDE3MDQvNzgyMzI0LTIwMTcwNDIzMTQ1NjQ5MjcyLTY0Mjk3NTg3Ny5wbmc=.jpg"></p>
<p>神经网络相当庞大，我们只能用这样的结构来计算，记录中间值，对每个节点，应用前馈反馈API，构成图结构，图结构是对所有层以及层与层之间连接的包装。层与层之间的连接是通过向量的传递完成的</p>
<h2>神经网络</h2>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzc4MjMyNC8yMDE3MDQvNzgyMzI0LTIwMTcwNDIzMTUwMTAxODY2LTEyOTIxMTIyNzMucG5n.jpg"></p>
<p>(NOW)这个式子所代表的操作大概就是给出一个x，用W1矩阵乘以x，接下来经过一个激活方程，然后我们再做一个矩阵乘法，就得到了评分。</p>
<p>激活函数得到的是一个比率值</p>
<p>每一个单个的神经元都可以看做是一个小线性分类器，只是这些神经元都是彼此相连的，他们可以在一起工作</p>
<h2>激活函数</h2>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzc4MjMyNC8yMDE3MDQvNzgyMzI0LTIwMTcwNDIzMTU0MjA4NDc2LTExNDU0MjA5NTUucG5n.jpg"></p>
<p>输入层并不算层数内，因为这层的神经元只有输入值（没有权），没有计算。</p>
<p>全连接层，每一个神经元都连着下一层的所有神经元。</p>
<p>分层可以使计算更加高效，与其设置大量的没有明确组织结构的神经元，并让这些神经元独立计算，我们更倾向于把这些神经元安排到一个个层中使得我们可以进行向量化的运算。</p>
<p>神经网络就是利用隐藏层把输入值转换成可以使用线性分类器分类的形式,然后再用后面的层作为线性分类器进行数据分类</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzc4MjMyNC8yMDE3MDQvNzgyMzI0LTIwMTcwNDIzMTgwMjM3NTg1LTEyNjg0NTA3OTcucG5n.jpg"></p>
<p>神经网络里面确实是神经元越多越好，因为在机器学习中经常出现模型表达能力不足的问题，所以你加入更多的神经元总是会让他工作的更好，但是在那之后你也需要加入正则化。要注意正确的防止神经网络过拟合的方法，并不是减少神经元，使得神经网络变小，而是加入合适的正则化系数。</p>
<p>当用mini-batch做优化时，L-BFGS还是一个不错的东西</p>
<p>神经网络究竟是越宽越好还是越深越好并没有一个标准的答案。</p>
<p>一般来说，如果是图片问题的话，层数会更重要一些。但是如果你要处理的只是一个简单的数据，网络的深度就没有多大作用。</p>
<p>不同层使用不同的激活函数一般是做不到的，大部分情况下，我们都是选择一种激活函数，然后整个神经网络都用这一个</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 05:17:25 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/com/" title="&period;com">&period;com</a>, <a href="https://www.biecuoliao.com/tag/png/" title="png">png</a>, <a href="https://www.biecuoliao.com/tag/%e6%93%8d%e4%bd%9c/" title="操作">操作</a>, <a href="https://www.biecuoliao.com/tag/%e4%b9%8b%e9%97%b4/" title="之间">之间</a>, <a href="https://www.biecuoliao.com/tag/%e4%b9%98%e6%b3%95/" title="乘法">乘法</a>, <a href="https://www.biecuoliao.com/tag/%e5%8f%8d%e9%a6%88/" title="反馈">反馈</a>, <a href="https://www.biecuoliao.com/tag/%e4%bc%a0%e9%80%92/" title="传递">传递</a>, <a href="https://www.biecuoliao.com/tag/%e4%b9%9f%e4%bc%9a/" title="也会">也会</a>, <a href="https://www.biecuoliao.com/tag/%e6%a2%af%e5%ba%a6/" title="梯度">梯度</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>斯坦福CS231n—深度学习与计算机视觉----学习笔记 课时8&amp;&amp;9的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/QM67Ad0.html" rel="bookmark">斯坦福CS231n&mdash;深度学习与计算机视觉----学习笔记 课时26&amp;amp&semi;&amp;amp&semi;27</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课时26 图像分割与注意力模型(上) 语义分割:我们有输入图像和固定的几个图像分类,任务是我们想要输入一个图像,然后我们要标记每个像素所属的标签为固定数据类中的一个 使用卷积神经,网络为每个小区块进行分类,对在区块的中间打上标签,对图像的全部区块分类完毕,我们就可以得到每个像素所对应的标签,这个操作实际上非常耗时,因为一张图片将会被分割非常多的小块. 如果这些神经网络具有相关的结构,通过这个图像金字塔方法的话,这些图像的输出将会有不同的感受野. 语义分割的迭代精化 我们有一个输入图像,他们被分割			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xxWk70.html" rel="bookmark">斯坦福CS231n&mdash;深度学习与计算机视觉----学习笔记 课时24&amp;amp&semi;&amp;amp&semi;25</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课时24 深度学习开源库使用介绍(上) Caffe 被用于重新实现AlexNet,然后用AlexNet的特征来解决其他事情 用C++书写的,可以去GitHub上面读取源代码 主要四个类: Blob可以存你的权重,像素值,激活等,是n维的张量,就像NumPy一样,他实际上内部有四个n维张量,这个张量有一个数据的版本,用于存储原始未处理的数据.剩下三个分别有diffs,GPU,CPU: 层是一种与你作业中所需要实现的功能相似的功能,会接收输入的Blob,caffe管这些输入的Blob称为底端输入,然			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d56Zz3.html" rel="bookmark">斯坦福CS231n&mdash;深度学习与计算机视觉----学习笔记 课时12&amp;amp&semi;&amp;amp&semi;13</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课时12 神经网络训练细节part2(上) 训练神经网络是由四步过程组成,你有一个完整的数据集图像和标签,从数据集中取出一小批样本,我们通过网络做前向传播得到损失,告诉我们目前分类效果怎么样.然后我们反向传播来得到每一个权重的梯度,这个梯度告诉我们如何去调整每一个权重,最终我们能够更好的分类图片. 为什么要使用激活函数? 如果在整个的神经网络中不使用激活函数,你的网络的分类能力基本等同于一个线性分类器,所以激活函数是相当关键的.他提供了所有的方法,你可以他用来存储数据 BN使得网络的训练更加健壮			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bOWkv3.html" rel="bookmark">斯坦福CS231n&mdash;深度学习与计算机视觉----学习笔记 课时14&amp;amp&semi;&amp;amp&semi;15</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课时14 卷积神经网络详解(上) CNN处理的是一些数据块,在这之间有很多层,一系列的层将输入数据变换为输出数据,所以完成操作的中间量不仅是NN时候讲的那些向量,而是立体结构,有宽,高和深度,在整个计算过程中要保持这些三维特征.这里的深度指的是一个数据体的第三个维度. 工作流程 我们得到一些数据,作为网络的输入,在CNN中我们有这样的滤波器,假设现在我们只有一个滤波器,这些滤波器空间维度很小,我们用这个滤波器来和输入图像做卷积运算.这里的卷积运算,意思是说滤波器要在这个图像的空域范围内全部位置滑			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bpLJV4.html" rel="bookmark">斯坦福CS231n&mdash;深度学习与计算机视觉----学习笔记 课时6</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课时6 线性分类器损失函数与最优化(上) 多类SVM损失:这是一个两分类支持向量机的泛化 SVM损失计算了所有不正确的例子,将所有不正确的类别的评分,与正确类别的评分之差加1,将得到的数值与0作比较,取两者中的最大值.然后将所有的数值进行求和.用平均值来代替不会影响结果. 这些评分都是无标度的,因为我们可以随便选择W,让它成比例地增大或者减小,然后分数也随之成比例地变化.所以分数的大小和它的量度的选择紧密相关,将安全系数的值设为1在某种程度上来说只是一个随意的选择. 在实际的数据集中使用这个损失			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBakpE4.html" rel="bookmark">深度学习与计算机视觉&lpar;12&rpar;&lowbar;tensorflow实现基于深度学习的图像补全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:Image Completion with Deep Learning in TensorFlow by Brandon Amos 原文翻译与校对:@MOLLY &amp;&amp; 寒小阳 ([email protected]) 时间:2017年4月. 出处:http://blog.csdn.net/han_xiaoyang/article/details/52665396 声明:版权所有,转载请联系作者并注明出 简介 第一步:将图像理解为一个概率分布的样本 你是怎样补全缺失信息的呢? 但是怎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6zvg5M.html" rel="bookmark">斯坦福大学深度学习与自然语言处理第一讲：引言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				斯坦福大学在三月份开设了一门&quot;深度学习与自然语言处理&quot;的课程:CS224d: Deep Learning for Natural Language Processing ,授课老师是青年才俊Richard Socher,他本人是德国人,大学期间涉足自然语言处理,在德国读研时又专攻计算机视觉,之后在斯坦福大学攻读博士学位,拜师NLP领域的巨牛 Chris Manning和Deep Learning 领域的巨牛 Andrew Ng ,其博士论文是&lt; Recursive Deep Le			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xXgvn0.html" rel="bookmark">斯坦福大学深度学习与自然语言处理第一讲</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我学习自然语言是从Christopher D.Manning的统计自然语言处理基础这本书开始的,很多文本分析也是应用统计方法,或者机器学习的方法,而近年来深度学习逐渐渗入各个领域,其在自然语言处理领域中也取得了令人惊叹的效果,这成功的引起了我的重视,决定学习一下.何其所幸,让我找到了斯坦福大学深度学习与自然语言的课程,深得我心啊,所以打算好好学习一下,鉴于我爱自然语言处理中有相关课程的slides,我就直接复制粘贴了,接下来打算做的工作是对该课程中推荐阅读的部分论文做一些笔记.本人才疏学浅,专业			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4A2NGyM.html" rel="bookmark">斯坦福大学深度学习与自然语言处理第二讲</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第二讲:简单的词向量表示:word2vec, Glove(Simple Word Vector representations: word2vec, GloVe) 转载请注明出处及保留链接“我爱自然语言处理”:http://www.52nlp.cn 本文链接地址:斯坦福大学深度学习与自然语言处理第二讲:词向量 推荐阅读材料: Paper1:[Distributed Representations of Words and Phrases and their Compositionality]]			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3r2j73.html" rel="bookmark" class="title">&period;Net 单例模式&lpar;Singleton&rpar;</a>
					<div>
						每台计算机可以有若干个打印机,但只能有一个Printer Spooler, 以避免两个打印作业同时输出到打印机中.每台计算机可以有若干传真卡,但是只应该有一个软件负责管理传真卡,以避免出现两份传真作业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q0xAYj3.html" rel="bookmark" class="title">017 ACM-ICPC 亚洲区（西安赛区）网络赛 Coin 概率&plus;矩阵快速幂</a>
					<div>
						题目链接: https://nanti.jisuanke.com/t/17115 题意: 询问硬币K次,正面朝上次数为偶数. 思路: dp[i][0] = 下* dp[i-1][0] + 上*dp[i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPOaz4.html" rel="bookmark" class="title">&lbrack;SQLServer&rsqb;学习总结笔记（基本涵盖Sql的所有操作）</a>
					<div>
						--################################################################################### /* 缩写: DDL(Dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/yMXzDa3.html" rel="bookmark" class="title">菜鸟学习</a>
					<div>
						今天学了html5的相关内容,html是用于编辑网页的一门超文本标记语言. 新手入门要记住一个html基本格式,如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knvKXM.html" rel="bookmark" class="title">好记性不如烂笔头13-使用HttpServletResponse实现文件下载</a>
					<div>
						在JS中也可以实现文件下载,但是在JS中的链接,很容易被盗链,而且容易造成攻击.将文件下载的链接放在JAVA端,能够对用户的请求进行更加多的校验,能防止一部分的盗链和攻击. 1.使用HttpServl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgXgRp0.html" rel="bookmark" class="title">linux中的分段和分页</a>
					<div>
						觉得这篇文章写分段和分页机制还是挺清晰的,在此转载一下. 前一段时间看了&lt;深入理解Linux内核&gt;对其中的内存管理部分花了不少时间,但是还是有很多问题不是很清楚,最近又花了一些时间复习了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8gxY4.html" rel="bookmark" class="title">ubuntu上用eclipse搭建java、python开发环境</a>
					<div>
						上一篇文章讲到如何在windwos上用eclipse搭建java.python开发环境,这一讲将关注如何在ubuntu上实现搭建,本人使用虚拟机安装的ubuntu系统,系统版本为:14.04 lts  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M61paJ4.html" rel="bookmark" class="title">解决Ubuntu下 Could NOT find CURL &lpar;missing&colon; CURL&lowbar;LIBRARY CURL&lowbar;INCLUDE&lowbar;DIR&rpar;</a>
					<div>
						Ubuntu下CMake 编译时出现问题:Could NOT find CURL (missing: CURL_LIBRARY CURL_INCLUDE_DIR) 查找发现  # sudo apt-g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARRjaM.html" rel="bookmark" class="title">20145205 《信息安全系统设计基础》第6周学习总结</a>
					<div>
						教材学习内容总结 ISA ISA是IndustryStandardArchitecture的缩写ISA插槽是基于ISA总线(IndustrialStandardArchitecture,工业标准结构总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPbGp0.html" rel="bookmark" class="title">安装eclipse for JavaEE 后的一些设置</a>
					<div>
						1. 设置Text Editors: 2. 设置Content Assist 的快捷键(比较方便) 3. 设置maven(一定要设置,否则maven可能不管用) 4. 设置字体					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RDgWR4.html" rel="bookmark" class="title">读懂diff</a>
					<div>
						转自:http://www.ruanyifeng.com/blog/2012/08/how_to_read_diff.html 作者: 阮一峰 日期: 2012年8月29日 diff是Unix系统的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NqQEB3.html" rel="bookmark" class="title">oc常见误区</a>
					<div>
						1.同步请求可以从因特网请求数据,一旦发送同步请求,程序将停止用户交互,直至服务器返回数据完成,才可以进行下一步操作, 2.异步请求不会阻塞主线程,而会建立一个新的线程来操作,用户发出异步请求后,依然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvx8D4.html" rel="bookmark" class="title">Mysql Cluster配置笔记</a>
					<div>
						一.Mysql Cluster拓扑环境 Management:ClusterManager  222.9.9.161 ndb1:Clusterndb1    222.9.9.162 ndb2:Clus ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47869kM.html" rel="bookmark" class="title">HDU 1240 Asteroids&excl; 解题报告</a>
					<div>
						//这道题做完我只有 三个感受  第一:坑: 第二 : 坑! 第三:还是坑! 咳咳  言归正传  WA了无数次之后才发现是输入进去时坐标时z, y, x的顺序输入的 题解   :  类似胜利大逃亡 只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYZ6q0.html" rel="bookmark" class="title">软件测试之黑盒测试</a>
					<div>
						一.黑盒测试 黑盒测试是以用户的角度,从输入数据与输出数据的对应关系出发进行测试的. 很明显,如果外部特性本身设计有问题或规格说明的规定有误,用黑盒测试方法是发 现不了的.黑盒测试法注重于测试软件的功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYPXY4.html" rel="bookmark" class="title">nginx php-fpm 输出php错误日志</a>
					<div>
						nginx是一个web服务器,因此nginx的access日志只有对访问页面的记录,不会有php 的 error log信息. nginx把对php的请求发给php-fpm fastcgi进程来处理, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eEZap0.html" rel="bookmark" class="title">Python第三方常用工具、库、框架等</a>
					<div>
						Python ImagingLibrary(PIL):它提供强大的图形处理的能力,并提供广泛的图形文件格式支持,该库能进行图形格式的转换.打印和显示.还能进行一些图形效果的处理,如图形的放大.缩小和旋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azopv3.html" rel="bookmark" class="title">eval 的使用与延展</a>
					<div>
						前些日子用到了eval()处理json数据,习惯于每次添加'('+json+')'处理数据,也没去深究为什么这么做,刚好同事问我这个问题,瞬间哑口无言,只会如何操作,却讲不出原因,这不符合咱程序员严谨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klomE3.html" rel="bookmark" class="title">Linux System Programming  学习笔记&lpar;十一&rpar; 时间</a>
					<div>
						1. 内核提供三种不同的方式来记录时间: Wall time (or real time):actual time and date in the real world Process time:th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkov83.html" rel="bookmark" class="title">The index Plan</a>
					<div>
						In order to index the CSV, we want to take two fields from each row, title and description, and turn ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
